Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1355918 - Node health status displays not consistently.
Summary: Node health status displays not consistently.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-node
Classification: oVirt
Component: UI
Version: 4.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: ovirt-4.0.1
: 4.0
Assignee: Ryan Barry
QA Contact: Wei Wang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-13 01:36 UTC by Wei Wang
Modified: 2016-08-04 13:32 UTC (History)
11 users (show)

Fixed In Version: cockpit-ovirt-0.10.6-1.3.1.el7ev
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-04 13:32:25 UTC
oVirt Team: Node
rule-engine: ovirt-4.0.z+
rule-engine: planning_ack+
dfediuck: devel_ack+
cshao: testing_ack+


Attachments (Terms of Use)
ks file (deleted)
2016-07-13 01:36 UTC, Wei Wang
no flags Details
log files (deleted)
2016-07-13 01:43 UTC, Wei Wang
no flags Details
picture (deleted)
2016-07-13 01:49 UTC, Wei Wang
no flags Details


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 60659 master MERGED dashboard: fix the health modal, fix bootloader on IE11 2016-07-13 15:09:53 UTC
oVirt gerrit 60675 ovirt-4.0 MERGED dashboard: fix the health modal, fix bootloader on IE11 2016-07-13 15:11:31 UTC

Description Wei Wang 2016-07-13 01:36:19 UTC
Created attachment 1179022 [details]
ks file

Description of problem:
Node health status displays not consistently.

Version-Release number of selected component (if applicable):
redhat-virtualization-host-4.0-20160708.0.x86_64
imgbased-0.7.2-0.1.el7ev.noarch
cockpit-0.108-1.el7.x86_64

How reproducible:
100%


Steps to Reproduce:
1. Install redhat-virtualization-host-4.0-20160708.0.x86_64 iso
2. Login cockpit website hostIP:9090 with root account
3. Enter "Virtualization" panel.
4. Select Dashboard page
5. Check the "Node Status" icon
6. Click the "Health" button to check the status.

Actual results:
Node health status displays not consistently.

Expected results:
Node health status displays consistently.

Additional info:

Comment 1 Wei Wang 2016-07-13 01:43:18 UTC
Created attachment 1179023 [details]
log files

Comment 2 Wei Wang 2016-07-13 01:49:29 UTC
Created attachment 1179024 [details]
picture

Comment 3 Ryan Barry 2016-07-13 12:00:55 UTC
Steps to reproduce?

Comment 4 Wei Wang 2016-07-21 02:26:23 UTC
Test Version:
RHVH-7.2-20160713.0-RHVH-x86_64-dvd1.iso
imgbased-0.7.2-0.1.el7ev.noarch
cockpit-0.108-1.el7.x86_64
cockpit-ovirt-dashboard-0.10.6-1.3.1.el7ev.noarch

Test steps
1. Install redhat-virtualization-host-4.0-20160708.0.x86_64 iso
2. Add this host to RHEVM and the status is up.
3. Login cockpit website hostIP:9090 with root account
4. Enter "Virtualization" panel.
5. Select Dashboard page
6. Check the "Node Status" icon
7. Click the "Health" button to check the status.

Test Result
Node health status displays consistently.

the bug cannot be reproduced, so change the status to VERIFIED.


Note You need to log in before you can comment on or make changes to this bug.